Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1047362 - Rawhide version of asciidoctor is older than f20 version [NEEDINFO]
Summary: Rawhide version of asciidoctor is older than f20 version
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-asciidoctor
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-30 16:44 UTC by Ken Dreyer
Modified: 2014-05-09 15:53 UTC (History)
2 users (show)

Fixed In Version: rubygem-asciidoctor-0.1.4-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-14 12:05:11 UTC
Type: Bug
ktdreyer: needinfo? (dallen)


Attachments (Terms of Use)

Description Ken Dreyer 2013-12-30 16:44:54 UTC
0.1.4 is built and pushed to F19 and F20, but it is not in Rawhide. Please build 0.1.4 for Rawhide.

See https://fedorahosted.org/fesco/ticket/1005 for information regarding why builds are no longer inherited "up" into Rawhide any more.

This affects the (future) packaging for rubygem-github-makeup in Rawhide. See https://github.com/github/markup/pull/235

Comment 1 Ken Dreyer 2013-12-30 16:45:58 UTC
er, meant to say "rubygem-github-markup" instead of "makeup" in comment #1 :)

Comment 2 Ken Dreyer 2014-02-07 03:38:06 UTC
Hi Dan, would you mind building 0.1.4 for Rawhide?

Comment 3 Ken Dreyer 2014-02-13 00:04:50 UTC
Hi Dan, I've applied for ACLs in pkgdb so I can update the package in Rawhide.

Comment 4 Ken Dreyer 2014-04-08 15:08:25 UTC
I've emailed Dan a couple times. He wants to approve my pkgdb request, but he reports that he doesn't currently have access to his FAS account.

Comment 5 Ken Dreyer 2014-04-09 23:32:47 UTC
Vít was kind enough to kick off a 0.1.4 build earlier this week: http://koji.fedoraproject.org/koji/buildinfo?buildID=509850

Unfortunately that failed because the test suite is not compatible with Minitest 5 that went into Rawhide recently. I've posted a patch upstream for Minitest 5, at https://github.com/asciidoctor/asciidoctor/pull/937, and backported that patch to 0.1.4 for Fedora.

  * Tue Apr 08 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.1.4-2
  - Patch to support Minitest 5

Exact changes in Git: http://fedorapeople.org/cgit/ktdreyer/public_git/rubygem-asciidoctor.git/ (This can just be fetched and pushed into Fedora's official dist-git.)

Spec URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-asciidoctor.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-asciidoctor-0.1.4-2.fc21.src.rpm

F21 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6722221

Comment 6 Vít Ondruch 2014-04-14 12:05:11 UTC
Hi Ken,

Since I am not convinced, that upstream is likely to accept your patch, I decided to build asciidoctor in its current state with "BR: rubygem(minitest) < 5". Lets see how it evolves.

Comment 7 Ken Dreyer 2014-05-08 17:38:30 UTC
By the way, upstream did accept the minitest patch, so when the final release of asciidoctor v1.5.0 comes out, we can drop the "< 5" requirement on "BR: rubygem(minitest)".

Comment 8 Vít Ondruch 2014-05-09 07:35:59 UTC
(In reply to Ken Dreyer from comment #7)
> By the way, upstream did accept the minitest patch, so when the final
> release of asciidoctor v1.5.0 comes out, we can drop the "< 5" requirement
> on "BR: rubygem(minitest)".

Congrats! Sorry for being pessimistic ;)

Comment 9 Ken Dreyer 2014-05-09 15:53:54 UTC
No prob :) "Staying close to upstream" is why I like Fedora.


Note You need to log in before you can comment on or make changes to this bug.